#ifndef __CACHE_H__
#define __CACHE_H__

#include <string>
#include "picture.h"

using namespace std;

#define MAX_PICTURE_CACHE 32

class Cache
{
	public:

	struct PictureCacheItem
	{
		Picture pict;
		int usageCount;
		string name;
	};

	Picture* LoadPicture(string name);

	protected:

	PictureCacheItem pictures[MAX_PICTURE_CACHE];
};

#endif /* __CACHE_H__ */
