#ifndef __DEFINES_RULEZ__
#define __DEFINES_RULEZ__ 1

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <string.h>

#ifndef stricmp
	#define stricmp(s1,s2) strcasecmp((s1),(s2))
#endif

#ifndef BYTE
	typedef unsigned char BYTE;
#endif

#ifndef WORD
	typedef unsigned short WORD;
#endif

#ifndef DWORD
	typedef unsigned long DWORD;
#endif

#ifndef MAX_PATH
	#define MAX_PATH 0x1000
#endif

#define byte BYTE
#define word WORD
#define dword DWORD

#ifndef M_PI
	#define M_PI 3.1415926535897932
#endif

#define _min(a,b) ((a)<(b)?(a):(b))
#define _max(a,b) ((a)>(b)?(a):(b))

#define DRGBA(r,g,b,a) (((a)<<24)|((r)<<0x10)|((g)<<8)|(b))
#define DRGB(r,g,b) (((r)<<0x10)|((g)<<8)|(b))
#define GETA(c) ((c)>>24)
#define GET_A GETA
#define GETR(c) ((c)>>0x10&0xFF)
#define GET_R GETR
#define GETG(c) ((c)>>8&0xFF)
#define GET_G GETG
#define GETB(c) ((c)&0xFF)
#define GET_B GETB
#define GETRGB(c) ((c)&0xFFFFFF)
#define GET_RGB GETRGB

extern char hex[17];

double sqq(double n);
int sgn(int a);
int unhex(char c);

void AddLog(const char *fmt, ...);
void AddLogN(const char *fmt, ...);
void Error(const char *fmt, ...);

char* AllocNstrcpy(const char *str);

#endif
