#include <stdio.h>
#include <memory.h>

#include "defines.h"
#include "exception.h"

#ifndef _WIN32
	#define _vsnprintf vsnprintf
#endif

Exception::Exception()
{
	strcpy(msg, "");
}

Exception::Exception(const char *fmt, ...)
{
	va_list argptr;

	va_start(argptr, fmt);
	_vsnprintf(msg, sizeof(msg), fmt, argptr);
	va_end(argptr);
}

Exception::~Exception()
{
}

const char* Exception::Message()
{
	return msg;
}
