#ifndef __FSFACTORY_H__
#define __FSFACTORY_H__

#include "filesystem.h"

#define HOST_FS 1
#define FOLD_FS 2
#define FAIL_FS 3

class FsFactory
{
	public:

	virtual ~FsFactory();

	static void SetFsType(int fsType);
	static FileSystem* GetFileSystem(void);

	protected:

	static int fsType, prevFsType;
	static FileSystem* fs;
};

#endif /* __FSFACTORY_H__ */
