#include "hostfilehandle.h"

#include "defines.h"

#include <stdio.h>
#include <fcntl.h>

HostFileHandle::HostFileHandle()
{
	handle = -1;
}

HostFileHandle::~HostFileHandle()
{
}

long HostFileHandle::Seek(long off, int whence)
{
	switch (whence)
	{
		case FH_SET:
			return lseek(handle, off, SEEK_SET);

		case FH_CUR:
			return lseek(handle, off, SEEK_CUR);

		case FH_END:
			return lseek(handle, off, SEEK_END);
	}

	return 0;
}

long HostFileHandle::Read(void* buffer, unsigned int size)
{
	return read(handle, buffer, size);
}

void HostFileHandle::Write(void* buffer, unsigned int size)
{
	write(handle, buffer, size);
}
