#ifndef __HOSTFILESYSTEM_H__
#define __HOSTFILESYSTEM_H__

#include "filesystem.h"

class HostFileSystem : public FileSystem
{
	public:

	HostFileSystem();
	HostFileSystem(bool usePrefix);
	virtual ~HostFileSystem();

	FileHandle* GetHandle(const char* filename, int mode);
	void CloseHandle(FileHandle* fh);

	protected:

	bool usePrefix;
};

#endif /* __HOSTFILESYSTEM_H__ */
