#ifndef __RECTSFIELD_H__
#define __RECTSFIELD_H__

#include <SDL.h>

#include <list>
#include <vector>

using namespace std;

class RectsField
{
	public:

	RectsField();
	virtual ~RectsField();

	void Clear();
	void AddRect(SDL_Rect& rect);
	void AddRect(SDL_Rect* rect);
	void BoundRect(SDL_Rect& rect);
	void BoundRect(SDL_Rect* rect);

	vector<SDL_Rect> rects;

	protected:

	vector<SDL_Rect> wrects;
	list<SDL_Rect> brects;

	SDL_Rect MkRect(int x, int y, int w, int h);
	void AddWRect(SDL_Rect r);
	bool IntersectRects(SDL_Rect* a, SDL_Rect* b);
	void Intersect(void);
	bool IntersectRectsBound(SDL_Rect* a, SDL_Rect* b);
	void BoundIntersect(SDL_Rect* rc);
};

#endif /* __RECTSFIELD_H__ */
