#ifndef __ANIMATION_H__
#define __ANIMATION_H__

#include "picture.h"

class Animation
{
	public:

	Animation();
	virtual ~Animation();

//	Animation(const Animation& a);
//	Animation& operator=(const Animation& a);

	int Width(void);
	int Height(void);

	void Load(const char* path);
	void SetStartTick(int startTick);

	void Blit(SDL_Surface* dest, int x, int y, int tick, int alpha = 255);
	void Blit(Picture& dest, int x, int y, int tick, int alpha = 255);

	protected:

	int startTick;
	int frames;
	Picture pict;
};

#endif
