#include "cache.h"

Picture* Cache::LoadPicture(string name)
{
	for (int i = 0; i < MAX_PICTURE_CACHE; i++)
	{
		if (pictures[i].name == name)
		{
			pictures[i].usageCount++;
			return &pictures[i].pict;
		}
	}

	int n = 0;
	int m = pictures[0].usageCount;

	for (int i = 1; i < MAX_PICTURE_CACHE; i++)
	{
		if (pictures[i].usageCount < m)
		{
			m = pictures[i].usageCount;
			n = i;
		}
	}

	for (int i = 0; i < MAX_PICTURE_CACHE; i++)
	{
		pictures[i].usageCount -= m;
		if (pictures[i].usageCount < 0) pictures[i].usageCount = 0;
	}

	pictures[n].name = name;
	pictures[n].usageCount = 1;
	pictures[n].pict.Load(name.c_str());

	return &pictures[n].pict; 
}
