#ifndef __DICT_H__
#define __DICT_H__

#include <string>
#include <ext/hash_map>

namespace ext
{
	template<> struct hash<std::string>
	{
		size_t operator() (const std::string& x) const
		{
			return hash<const char*>()(x.c_str());
		}
	};
}

#endif /* __DICT_H__ */
