#ifndef __FAILHANDLE_H__
#define __FAILHANDLE_H__

#include "filehandle.h"
#include "failsystem.h"

class FailHandle : public FileHandle
{
	public:

	FailHandle(FailSystem* fs);
	virtual ~FailHandle();

	long Seek(long off, int whence);
	long Read(void* buffer, unsigned int size);
	void Write(void* buffer, unsigned int size);

	int initEncOff;

	FailSystem* fs;
	int handle;
	unsigned long offset;
	unsigned long size;
	int encOff;
};

#endif /* __FAILHANDLE_H__ */
