#ifndef __FILEHANDLE_H__
#define __FILEHANDLE_H__

#include <stdio.h>
#include "exception.h"

#define FH_SET SEEK_SET
#define FH_CUR SEEK_CUR
#define FH_END SEEK_END

class FileHandle
{
	public:

	FileHandle()
	{
	}

	virtual ~FileHandle()
	{
	}

	FileHandle(const FileHandle& f)
	{
		throw Exception("Copy FileHandle object not allowed (construct)");
	}

	FileHandle& operator=(const FileHandle& f)
	{
		throw Exception("Copy FileHandle object not allowed (operator=)");
	}

	virtual long Seek(long off, int whence) = 0;
	virtual long Read(void* buffer, unsigned int size) = 0;
	virtual void Write(void* buffer, unsigned int size) = 0;
};

#endif /* __FILEHANDLE_H__ */
