#!/bin/sh

PROGNAME=project.namae

rm $PROGNAME &> /dev/null

g++ *.cpp \
	-o $PROGNAME \
	-DLOGFILE_NAME=\"project.namae.log\" \
	-DSETTINGS_NAME=\"project.namae.settings\" \
	-I/usr/include/SDL \
	-D__gnu_cxx=ext \
	-lpng \
	-lvorbis \
	-lvorbisfile \
	-lSDL \
	-lSDL_ttf \
	&> errors.lst

RETVAL=`cat errors.lst`

if [ "x$RETVAL" != "x" ] ; then
	cat errors.lst
else
	rm errors.lst
	./$PROGNAME
fi
