@rem = '
@echo off
if exist %0 goto :ok
C:\cygwin\bin\ruby.exe %0.bat
goto :eof
:ok
C:\cygwin\bin\ruby.exe %0
goto :eof
@rem ';

#
# ruby code coes here
#

# Utf8.Maker (c) 2008 Amae.Namae

$hex = "0123456789ABCDEF"

def pr_hex(val)
	print $hex[val / 0x10].chr + $hex[val % 0x10].chr
end

def pr_lhex(val)
	pr_hex(val / 0x100)
	pr_hex(val % 0x100)
end

print "unsigned char cp1251_chars[] = {"

str = IO.read('rmap-lc.txt')
spl = str.split(/\n|\r/)

zp = false

spl.each do |ch|
	if ch != ""
		print ", " if zp
		print "0x"
		pr_hex(ch[0])
		zp = true
	end
end

print ", 0};\n"
print "unsigned short utf8_chars[] = {"

str = IO.read('rmap-utf8.txt')
spl = str.split(/\n|\r/)

zp = false

spl.each do |ch|
	if ch != ""
		print ", " if zp
		print "0x"
		pr_lhex(ch[0] * 0x100 + ch[1])
		zp = true
	end
end

print "};\n"
